#102797 Report by node travis-ci covering 1842 tests from 47 modules resulted into 1 error

Report

ObsPy version
1.1.1.post0+542.g412bd75b3b
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/506018031
GitHub Pull Request
https://github.com/obspy/obspy/pull/2351
Report file
XML document
Total runtime
393.1 sec
Report date/time
2019-03-13 18:20:23

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
Clang 4.0.1 (tags/RELEASE_401/final)
Python Implementation
CPython
Python Version
3.7.2
Release
17.4.0
System
Darwin
Version
Darwin Kernel Version 17.4.0: Sun Dec 17 09:19:54 PST 2017; root:xnu-4570.41.2~1/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.3.2
flake8
---
future
0.17.1
geographiclib
1.49
lxml.etree
4.3.2
m2crypto
---
matplotlib
3.0.2
mock
2.0.0
mpl_toolkits.basemap
1.1.0
numpy
1.16.2
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.6
requests
2.21.0
scipy
1.2.1
setuptools
40.8.0
shapefile
2.1.0
sqlalchemy
1.3.1

Modules (47)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 1 1
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 1 1

Tracebacks (1)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 159, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/util/connection.py", line 57, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/socket.py", line 748, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 839, in _validate_conn
conn.connect()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 301, in connect
conn = self._new_conn()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 168, in _new_conn
self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x1c1e199320>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/util/retry.py", line 398, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c1e199320>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/tests/test_stream.py", line 1888, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "</Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/decorator.py:decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/stream.py", line 230, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/base.py", line 617, in download_to_file
r = requests.get(url, stream=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/api.py", line 60, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /test.sac (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1c1e199320>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))

Skipped tests (21)

Submodule Test Skip message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) unsupported proj4 library
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) unsupported proj4 library
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) unsupported proj4 library
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest tests (20)

Runtime Test
18.132s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
17.644s __init__ (obspy.taup)
15.243s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
13.048s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.421s plot_travel_times (obspy.taup.tau)
7.896s test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase)
7.657s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
7.070s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.944s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
5.356s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
5.252s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
5.251s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
5.208s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
4.556s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.521s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
4.164s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.149s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.138s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
4.017s test_plot_wiggles_positive_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.982s test_plot_ref_time_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris fact

Chuck Norris does infinite loops in 4 seconds.